package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 注水方式
 */
@AllArgsConstructor
@Getter
public enum EInfusingWaterType {

    /**
     * 增加
     */
    ADD(1, "增加", 0),

    /**
     * 减少
     */
    BANK_TRANSFER(2, "减少", 0),

    /**
     * 最终业绩
     */
    FULL_PV(3, "最终业绩", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;


    /**
     * 根据值获取标签显示
     *
     * @param value
     * @return
     */
    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return null;
        }
        for (EInfusingWaterType enums : EInfusingWaterType.values()) {
            if (enums.getValue() == value) {
                return enums.getLabel();
            }
        }
        return "";
    }


}
